local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onTalk()

    if getFlag("game3") then
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_game3"))
        enableMovement()
    end

    if getFlag("game2") then
        setFlag("game2", false)
        setFlag("game3")
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_game2"))
        enableMovement()
    end

    if not getFlag("game2") and not getFlag("game3") then
        setFlag("game2")
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_game1"))
        enableMovement()
    end

end